Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.spi
Interface LoggerContext

All Known Implementing Classes:
  SimpleLoggerContext

    public interface LoggerContext

Anchor point for logging implementations.

Method Summary
`Object` | `getExternalContext()` An anchor for some other context, such as a ClassLoader or ServletContext.
`ExtendedLogger` | `getLogger(String name)` Returns a Logger.
`ExtendedLogger` | `getLogger(String name, MessageFactory messageFactory)` Returns a Logger.
`boolean` | `hasLogger(String name)` Detects if a Logger with the specified name exists.

Method Detail

### getExternalContext

    Object getExternalContext()

  An anchor for some other context, such as a ClassLoader or ServletContext.

  Returns:
    The external context.

### getLogger

    ExtendedLogger getLogger(String name)

  Returns a Logger.

  Parameters:
    `name` - The name of the Logger to return.
  Returns:
    The logger with the specified name.

### getLogger

    ExtendedLogger getLogger(String name,
                             MessageFactory messageFactory)

  Returns a Logger.

  Parameters:
    `name` - The name of the Logger to return.
    `messageFactory` - The message factory is used only when creating a logger, subsequent use does not change the logger but will log a warning if mismatched.
  Returns:
    The logger with the specified name.

### hasLogger

    boolean hasLogger(String name)

  Detects if a Logger with the specified name exists.

  Parameters:
    `name` - The Logger name to search for.
  Returns:
    true if the Logger exists, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.